Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QSsl.SslProtocol

    java.lang.Object
      java.lang.Enum<QSsl.SslProtocol>
          com.trolltech.qt.network.QSsl.SslProtocol

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSsl.SslProtocol>

Enclosing interface:
  QSsl

    public static enum QSsl.SslProtocol

extends java.lang.Enum<QSsl.SslProtocol>
implements QtEnumerator

Describes the protocol of the cipher.

Enum Constant Summary
`AnyProtocol` The socket understands SSLv2, SSLv3, and TLSv1.
`SslV2` SSLv2
`SslV3` SSLv3 - the default protocol.
`TlsV1` TLSv1
`UnknownProtocol` The cipher's protocol cannot be determined.

Method Summary
`static QSsl.SslProtocol` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSsl.SslProtocol` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSsl.SslProtocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SslV3

    public static final QSsl.SslProtocol SslV3

  SSLv3 - the default protocol.

### SslV2

    public static final QSsl.SslProtocol SslV2

  SSLv2

### TlsV1

    public static final QSsl.SslProtocol TlsV1

  TLSv1

### AnyProtocol

    public static final QSsl.SslProtocol AnyProtocol

  The socket understands SSLv2, SSLv3, and TLSv1. This value is used by QSslSocket only.

### UnknownProtocol

    public static final QSsl.SslProtocol UnknownProtocol

  The cipher's protocol cannot be determined.

Method Detail

### values

    public static final QSsl.SslProtocol[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSsl.SslProtocol c : QSsl.SslProtocol.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSsl.SslProtocol valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSsl.SslProtocol resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD